## masscan 1.0.3-90-g2441f18~ds0

=== debian/changelog ===
masscan (1.0.3-90-g2441f18~ds0-1) unstable; urgency=medium

  * Import new upstream snapshot.

 -- Alessio Treglia <alessio@debian.org>  Wed, 15 Oct 2014 14:06:24 +0100

masscan (1.0.3-82-g6f2d6af~ds0-1) unstable; urgency=medium

  * Initial release. (Closes: #762866)

 -- Alessio Treglia <alessio@debian.org>  Thu, 25 Sep 2014 21:08:16 +0100
