## masscan 1.0.3-95-gb395f18~ds0

=== debian/changelog ===
masscan (1.0.3-95-gb395f18~ds0-2) unstable; urgency=medium

  * Attempt to fix FTBFS with GCC 5. (Closes: #777997)

 -- Alessio Treglia <alessio@debian.org>  Fri, 26 Jun 2015 08:33:28 +0100

masscan (1.0.3-95-gb395f18~ds0-1) unstable; urgency=medium

  * ACK NMU. (Closes: #773786)
  * Import new upstream snapshot.
  * Refresh patches.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 10 Jun 2015 14:19:37 +0100

masscan (1.0.3-90-g2441f18~ds0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on most architectures (Non-ARM, Non-x86, and kFreeBSD).
    (Closes: 773786) 

 -- YunQiang Su <syq@debian.org>  Tue, 31 Mar 2015 11:06:17 +0800
