=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper (>= 9~),
  libpcap-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/robertdavidgraham/masscan
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/masscan.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/masscan.git
