## masscan 1.0.3-104-g676635d~ds0

=== debian/changelog ===
masscan (2:1.0.3-104-g676635d~ds0-1) unstable; urgency=medium

  * Imported Upstream version 1.0.3-104-g676635d~ds0
  * Drop 0002-gcc5.patch patch
  * Introduce epoch number (Closes: #816644)

 -- Alessio Treglia <alessio@debian.org>  Sat, 05 Mar 2016 18:44:08 +0000
