=== debian/watch ===
version=3
# use the github release pages
opts=dversionmangle=s/~ds\d// \
https://github.com/robertdavidgraham/masscan/releases .*/(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
