## masscan 1.0.5+ds1

=== debian/changelog ===
masscan (2:1.0.5+ds1-1) unstable; urgency=medium

  [ Sophie Brun ]
  * Remove get-git-source.sh
  * New upstream version 1.0.5+ds1 (Closes: #901596)
      - fixes reproducible build (Closes: #842988)
  * Taking over the maintenance of package with Alessio
    Treglia's permission. Thank you to him for the work
    on the package.
  * Remove old gbp.conf
  * Add missing build-dep clang
  * Update date in d/copyright
  * Fix details in d/copyright for lintian
  * Use debhelper 11
  * Refresh patch
  * Add a patch fix-spelling-errors
  * d/rules: add build hardening
  * Bump Standards-Version to 4.1.4: no change required

  [ Raphaël Hertzog ]
  * Try to manually enable PIE compilation since clang does not enable it by
    default.

 -- Sophie Brun <sophie@freexian.com>  Thu, 28 Jun 2018 11:19:24 +0200
