=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: masscan
 Section: net
 Priority: optional
-Maintainer: Alessio Treglia <alessio@debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Uploaders: Sophie Brun <sophie@freexian.com>
 Build-Depends:
- debhelper (>= 9~),
+ debhelper (>= 11),
+ clang,
  libpcap-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.1.4
 Homepage: https://github.com/robertdavidgraham/masscan
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/masscan.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/masscan.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/masscan
+Vcs-Git: https://salsa.debian.org/pkg-security-team/masscan.git
 
 Package: masscan
 Architecture: any
