## masscan 1.3.0+ds1

=== debian/changelog ===
masscan (2:1.3.0+ds1-2) unstable; urgency=medium

  * Import upstream patch to fix segfault (see
    https://github.com/robertdavidgraham/masscan/issues/539)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 18 Jan 2021 14:14:36 +0100

masscan (2:1.3.0+ds1-1) unstable; urgency=medium

  [ Sophie Brun ]
  * New upstream version 1.3.0+ds1
  * Update debian/copyright
  * Refresh patches

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.4.1, no changes needed.
  * Update standards version to 4.5.0, no changes needed.

  [ Samuel Henrique ]
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 11 Jan 2021 15:53:47 +0100

masscan (2:1.0.5+ds1-3) unstable; urgency=medium

  * Add a patch to display the correct version
  * Update my email
  * Use debhelper-compat 12
  * Bump Standards-Version (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 08 Jul 2019 16:11:13 +0200

masscan (2:1.0.5+ds1-2) unstable; urgency=medium

  * Add a patch to use gcc instead of clang (Closes: #902754)
    - Remove clang in build-deps
    - Remove manual PIE flags as it's useless now

 -- Sophie Brun <sophie@freexian.com>  Wed, 04 Jul 2018 11:51:29 +0200
