## masscan 1.3.1+ds1

=== debian/changelog ===
masscan (2:1.3.1+ds1-1) unstable; urgency=medium

  * New upstream version 1.3.1+ds1
  * Refresh patches: remove fix-segfault.patch now in usptream release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 26 Jan 2021 10:40:08 +0100
