=== debian/changelog ===
masscan (2:1.3.2+ds1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Team upload.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

  [ Francisco Vilmar Cardoso Ruviaro ]
  * Run wrap-and-sort -a.
  * Add libpcap0.8t64 to the Depends field because it is needed to
    run the program, see src/main.c +43 and src/stub-pcap.c +391.
  * Update the search rule in debian/watch.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 25 Jul 2024 16:44:22 +0000

masscan (2:1.3.2+ds1-1) unstable; urgency=medium

  * New upstream version 1.3.2+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 02 Feb 2021 12:13:27 +0100
