=== debian/control ===
Source: masscan
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13),
               libpcap-dev
Standards-Version: 4.6.1
Homepage: https://github.com/robertdavidgraham/masscan
Vcs-Browser: https://salsa.debian.org/pkg-security-team/masscan
Vcs-Git: https://salsa.debian.org/pkg-security-team/masscan.git

Package: masscan
Architecture: any
Depends: libpcap0.8t64,
         ${misc:Depends},
         ${shlibs:Depends}
Description: TCP port scanner
 MASSCAN is TCP port scanner which transmits SYN packets
 asynchronously and produces results similar to nmap,
 the most famous port scanner. Internally, it operates
 more like scanrand, unicornscan, and ZMap, using
 asynchronous transmission.
 It's a flexible utility that allows arbitrary address and
 port ranges.
