=== debian/watch ===
version=4
opts="dversionmangle=s/\~ds\d*$//,repacksuffix=+ds1" \
https://github.com/robertdavidgraham/masscan/tags .*/(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
